SXVOL-FILTER(1)

NAME
sxvol-filter - display information about filters

SYNOPSIS
sxvol filter <OPTIONS>...

DESCRIPTION
Filters are special plug-ins, which run locally and perform specific operations when the client tools access the data on SX clusters. A use case example is data encryption, which is performed before the data gets uploaded to the cluster and after it gets downloaded to the local computer. This command lists filters available in the system and their details.

OPTIONS

-h, --help
    Print help and exit

--full-help
    Print help, including hidden options, and exit

-V, --version
    Print version and exit

-l, --list
    List all available filters

-i, --info=NAME
    Display details about a particular filter. It expects a short name of a filter as an argument.

-D, --debug
    Enable debug messages (default=off)

-c, --config-dir=PATH
    Path to the SX configuration directory (default: ~/.sx)

-f, --filter-dir=PATH
    Path to the SX filter directory (default: @SX_FILTER_DIR@)

EXAMPLES
To list all available filters run:
sxvol filter -l
To display details about the filter 'aes256' run:
sxvol filter -i aes256

SEE ALSO
sxvol-create(1), sxvol-remove(1)